Subject: [Enum] Reverse ENUM

From: "James Seng" <[email-masked]>
Date: Fri, 18 Oct 2002 01:35:09 +0800

I hate to be the one pouring cold water on this stuff but...I probably
should inform the group that there was a patent filed in Oct 2001 by my
previous employee on a titled 'Phone Name'. The broad claim involve using
the DNS to resolve a name into a tel: or fax: URL via NAPTR records.

In a couple of months, it should appear on the USPTO website.

Regardless of the merits of the patent filing, the group should take note of
this IPR.

-James Seng

> At the last Pulver Conference in Atlanta VON Fall2002 the idea
> of "Reverse ENUM" was discussed at various places. Even Vint Cerf
> mentioned it in his speech. BTW, Vint Cerf talked about 10 min about
> the importance of ENUM and Rich nearly got a heart-attack because
> he had no voice-recorder on ;-)
>
> The principle of "Reverse ENUM" should be, that in the same way
> you use a client querying for an E.164 Number in the format +1234xxx
> you may use the same client entering [email-masked]. The idea is,
> that in the domain foo.bar somewhere a NAPTR? is stored pointing
> to the ENUM entry for the phone number (e.g. with a tel: or enum: URI).
>
> The user would always get the same information regardless if he
> is entering either the +431xxx or the [email-masked]. One simple
> approach was (as proposed by Rich et.al) to store the NAPTRs?
> by convention in subdomains user.at.foo.bar of the domain foo.bar.
> A more sophisticated approach may retrieve the "user" part with a
> ldap pointer from the mail or sip server.
>
> Michael, since I do not fully understand your example and also your
> (soon to come) RFC3404, (I tried, but it gave me a headache)
> could you please elaborate more on your proposal, to enlighten me ;-)
>
> Best regards
> Richard Stastny
>
>
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum
>

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "James Seng" <[email-masked]>
Date: Fri, 18 Oct 2002 01:44:42 +0800

----- Original Message -----
From: "James Seng" <[email-masked]>
To: <[email-masked]>
Sent: Friday, October 18, 2002 1:35 AM
Subject: [Enum] Reverse ENUM

> previous employee on a titled 'Phone Name'. The broad claim involve using

s/employee/employer/

---

From: Richard Shockey <[email-masked]>
Date: Thu, 17 Oct 2002 20:26:50 -0400

>Regardless of the merits of the patent filing, the group should take note of

Have you heard of TPC.INT?  circa 1990? Marshall Rose??

Read the RFC's because there may be a claim of prior art here in the public 
domain.

Richard Shockey, Senior Manager, Strategic Technology Initiatives
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
Voice +1 571.434.5651 Cell : +1 314.503.0640,  Fax: +1 815.333.1237
<mailto:[email-masked]> or <mailto:[email-masked]>
  <http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

---

From: "James Seng" <[email-masked]>
Date: Fri, 18 Oct 2002 10:05:51 +0800

> Read the RFC's because there may be a claim of prior art here in the
public

<Off topic>Maybe there is a prior art. In fact, I would be surprise if there
arent any. But if the experience in IDN is any indication, existence of
prior art in public domain does not mean USPTO will not grant the patent. So
lets continue the discussion (on the concept of reverse ENUM) but lets not
brush it off as irrelevent.</Off topic>

Personally, I like the idea to map names (or maybe more correctly
identifiers) into telephone numbers. It means we could build a global phone
directory with easy to remember names for end-users.

But should the DNS be the global phone directory or is there something else
we could use? NAPTR provides a direct solution allow tel: URI to be encoded
right now int he DNS. Mats suggested using the INFO command in SMTP to do
that which is also a possibility answer.

-James Seng

---

From: "Darren Nickerson" <[email-masked]>
Date: Thu, 17 Oct 2002 23:31:34 -0400

> Read the RFC's because there may be a claim of prior art here in the
public

Indeed ;-)

-dpn